/***************************************************************************
                          mylabel.cpp  -  description
                             -------------------
    begin                : Mon Sep 23 2002
    copyright            : (C) 2002 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mylabel.h"

// Qt includes
#include <qstring.h>

MyLabel::MyLabel( QString _text, QWidget *parent, const char *name )
    : QLabel(_text,parent,name), caption(_text)
{
    inside = current = false;
    drawString();
}

MyLabel::~MyLabel()
{ }

void MyLabel::drawString()
{
    QString a = "<qt>";
    QString b = "</qt>";

    if( inside ) {
        a = "<qt><b>";
        b = "</b></qt>";
    }
    
    if( current ) {
        a = "<qt><i><b>";
        b = "</b></i></qt>";
    }

    setText(  a + caption + b );
}

void MyLabel::enterEvent( QEvent * )
{
    inside = true;
    drawString();
}

void MyLabel::setCurrent( bool c ) {
    current = c;
    drawString();
}

void MyLabel::leaveEvent( QEvent * )
{
    inside = false;
    drawString();    
}

void MyLabel::mouseReleaseEvent( QMouseEvent* e )
{
    emit clicked();
}


