/***************************************************************************
                          replacedialog.h  -  description
                             -------------------
    begin                : Sat Aug 18 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef REPLACEDIALOG_H
#define REPLACEDIALOG_H

// QT includes
#include <qdialog.h>
#include <qvaluelist.h>

// Own includes
#include "batchrenamer.h"

class QEvent;
class QVBoxLayout;
class QHBoxLayout; 
class QCheckBox;
class QGridLayout;
class QLabel;
class QLineEdit;
class KPushButton;
class QListViewItem;
class KListView;
class ReplaceDialog : public QDialog
{ 
    Q_OBJECT

    public:
        ReplaceDialog( QValueList<replacestrings> r, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
        ~ReplaceDialog();

        QValueList<replacestrings> getList();
    private slots:
        void add();
        void moveFocus();
        void remove();
        void setSelected(QListViewItem* item);
        void invokeRegEdit();
        void enableRegEdit();
        void save();

    private:
        void reset();

        QLabel* TextLabel1;
        QLineEdit* text2;
        QLabel* TextLabel2;
        QLineEdit* text1;
        KListView* list;

        KPushButton* buttonAdd;
        KPushButton* buttonRemove;
        KPushButton* buttonOK;
        KPushButton* buttonCancel;
        KPushButton* buttonRegEdit;
        KPushButton* buttonSave;

        QCheckBox* checkReg;

        QString encode( QString s );
        QString decode( QString s );

        bool edit;
        int editIndex;

    protected:
        void resizeEvent( QResizeEvent* e );

        QHBoxLayout* ReplaceDialogLayout;
        QVBoxLayout* Layout3;
        QHBoxLayout* Layout1;
        QVBoxLayout* Layout4;
        QHBoxLayout* Layout2;
        QVBoxLayout* Layout6;
        QHBoxLayout* Layout7;
        QVBoxLayout* Layout8;
};

#endif // REPLACEDIALOG_H
