/***************************************************************************
                          skipdialog.h  -  description
                             -------------------
    begin                : Die Mai 15 15:34:19 CEST 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SKIPDIALOG_H
#define SKIPDIALOG_H

// QT includes
#include <qdialog.h>
#include <qvaluelist.h>

// KDE includes
#include <knuminput.h>

// Own includes
#include "batchrenamer.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QListBox;
class QListBoxItem;
class KPushButton;

class KMyIntSpinBox : public KIntSpinBox
{
    Q_OBJECT
    public:
        KMyIntSpinBox( QWidget* parent );
        ~KMyIntSpinBox();
    private:
        void keyPressEvent( QKeyEvent* e );
    signals:
        void returnPressed();
};

// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

class SkipDialog : public QDialog
{ 
    Q_OBJECT

    public:
        SkipDialog( QValueList<int> n, int start, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
        ~SkipDialog();

        QValueList<int> getList();

    private:
        void sort();

    private slots:
        void addNumber();
        void removeNumber();
        void save();

    protected:
        QListBox* listNumbers;
        KPushButton* buttonAdd;
        KPushButton* buttonRemove;
        KPushButton* buttonOk;
        KPushButton* buttonCancel;
        KPushButton* buttonSave;
        KMyIntSpinBox* spinNumber;
        QLabel* description;

        QHBoxLayout* SkipDialogLayout;
        QVBoxLayout* Layout1;
        QHBoxLayout* Layout2;
        QHBoxLayout* Layout3;
        QVBoxLayout* Layout4;
        QHBoxLayout* Layout5;
};

#endif // SKIPDIALOG_H
